<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JSON to HTML</title>
</head>
<body>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            fetch('./data.json')
                .then(response => response.json())
                .then(data => renderHTML(data))
                .catch(error => console.error('Error fetching data:', error));

            function renderHTML(data) {
                // Create header HTML
                const headerHTML = `
                    <header>
                        <a href="index.html">
                            <img src="gogo-logo.345096b3.png">
                        </a>
                        <ul>
                            <li>
                                <p>цагагаар</p>
                                <a href="medee.html">
                                    <img src="sun-icon.b61be7df.svg">
                                </a>
                                <p>${data.article.header.title}</p>
                            </li>
                            <li>
                                <p>зурхай</p>
                                <a>
                                    <img src="calendar-icon.ff84145b.svg">
                                </a>
                                <p>${data.article.profile.timestamp}</p>
                            </li>
                            <li>
                                <p>зурхай</p>
                                <a>
                                    <img src="calendar-icon.b616d7e0.png">
                                </a>
                                <p>${data.article.footer.reactions.like}</p>
                            </li>
                            <a>
                                <img src="burger-menu.6c31a5c9.svg">
                            </a>
                        </ul>
                    </header>
                `;

                // Create article HTML
                const articleHTML = `
                    <article style="margin-left: 20px;">
                        <div class="pro">
                            <img src="${data.article.profile.image}">
                            <p style="padding-left: 5px; color: #ffffffb4;">${data.article.profile.author}</p>
                            <img src="time-gray.9098dcef.svg" style="padding-left: 10px; ">
                            <p style="padding-left: 5px; color: #ffffffb4; width: 100px;">${data.article.profile.timestamp}</p>
                            ${data.article.profile.socialMedia.facebook ? '<img src="facebook.483468e9.svg" style="padding-left: 750px;">' : ''}
                            ${data.article.profile.socialMedia.twitter ? '<img src="twitter.b8e7ff8d.svg">' : ''}
                        </div>
                        <header>
                            <h1>${data.article.header.title}</h1>
                        </header>
                        <img src="${data.article.image}" style="width: 800px;">
                        ${data.article.content.map(paragraph => `<p>${paragraph}</p>`).join('')}
                        <footer>
                            <ul>
                                ${Object.entries(data.article.footer.reactions).map(([key, value]) => `
                                    <li>
                                        <a>
                                            <img src="img-reaction-${key}.png">
                                        </a>
                                        <p>${value}</p>
                                    </li>
                                `).join('')}
                            </ul>
                        </footer>
                    </article>
                `;

                // Combine everything and append to the body
                const fullHTML = headerHTML + articleHTML;
                document.body.innerHTML = fullHTML;
            }
        });
    </script>

</body>
</html>
